Automatic closing of resolved issues

2012-07-03 16:54 - Pavel Loginov

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Are there any plans to implement this feature?

Would be great to turn on automatic closing of issues, if they have been marked as resolved for X days.

I know, that there is a plugin there, but it's not been updated for quite a while now and doesn't install on some instances of RedMine.

What do you think guys?

Related issues:

Related to Redmine - Feature #1306: resolution fixed and % done out of sync New 2008-05-26

Has duplicate Redmine - Feature #16769: auto-close resolved issues Closed

History

#1 - 2012-07-03 18:05 - Alex Shulgin

What is the point?  Any resolved issue is also considered closed (by default.)

#2 - 2012-07-07 20:52 - rm user

Yes, it would be helpful.

1) Resolved doesn't mean issue is closed

2) Closed issue means you don't need to get back to issue anymore, it's completely closed.

3) Resolved doesn't mean always that issue was properly fixed, very often it needs testing.

#3 - 2012-07-09 11:06 - Pavel Loginov

Exactly. In our workflow every resolved issue needs to be closed by project leader or issue author. However, people are no robots and sometimes

miss/forget to review a resolved issue which then simply goes down the issue queue. Would be highly useful if such issues could be auto-closed after

"expiration".

So I think it's pretty simple and straight forward: if an issue's status was "A" for X days, then it's status is changed to "B". That's it.

Is it possible to just update the old plugin https://github.com/edtsech/redmine_x_closed/tree so that it installs on the newest versions of Redmine?

Here's another request for this, posted a year ago: http://www.redmine.org/boards/3/topics/20046 ...

#4 - 2013-02-14 20:51 - Alexey Chepurnykh

It's a highly required feature. In our installation we have an agreement: if a resolved issue is not closed for 30 days, we close it by hands. The

"Langoliers" eat my time. Please, help.

#5 - 2013-02-15 02:09 - Filou Centrinov

For "Resolution: Cant reproduce" this feature would be also helpful. A suitable delay time might be 90 days.

#6 - 2013-03-21 09:05 - Dipan Mehta

There is some interesting discussion on #1306 for similar aspect.

#7 - 2013-03-26 16:22 - Anonymous

For me it would also be useful to have such a feature. For me, the inspiration is the (old / classic-style) SourceForge.net tracker. There, a status

"Pending" exists for issues. If an issue is put into status "Pending", then if no change is made to it within 14 days, it is automatically closed. On the

other hand, if a change is made, it is automatically put back to status "Open".

Having such a feature would be highly useful to us. And perhaps also to redmine.org: There are many ancients reports here, and for many, redmine

staff now is adding comments like "Please respond until DATE, otherwise we will close this issue". But staff has to remember those issues, and

on/after DATE, go back to them, and change their status manually to closed. With a "pending" status that could be automated.
Of course in Redmine, one may want to have a somewhat more general "status transition" facility. I.e. it would be nice if each issue status would get

these extra fields (in addition to the existing "Name", "Issue closed" and "Default value"):  * "If issue is in this status for more than [ checkbox / textfield

] days, change status to [ popup ]."   * "If issue is updated while in this status, change status to [ popup ]."

(Of course the last option would only have an effect if the user making the issue update did not select some other target status manually).

#8 - 2013-05-07 12:06 - Evgeny Smirnov

+1

#9 - 2013-10-10 10:29 - Miodrag Milic

+1

#10 - 2013-12-15 21:43 - Matthew Houston

This would also be helpful in our environment.

Just as an example, in our internal helpdesk system when a ticket is solved it will go into a 'Solved / Resolved' status, then if no feedback is provided

by the tech or user it is automatically closed after 2 days.  This allows the users a testing time while not clogging up the tech's ticket lists with active

tickets. (The 2 days is adjustable, just what works for us).

#11 - 2014-01-01 20:50 - Philippe Lafoucrière

+1

Our clients don't always close resolved issues :(

#12 - 2014-01-02 14:03 - Daniel Felix

Yes, we encounter sometimes the same issues. Some issues have a long wait time until they were really closed.

#13 - 2014-01-16 15:20 - Jonas Nielsen

+1

#14 - 2014-03-03 05:58 - Willian Dolence Ribeiro

+1 here!

#15 - 2014-03-03 08:34 - Adnan Topçu

+1

Nobody does not close the resolved issue.

#16 - 2014-03-19 16:58 - Alfredo Mezquita

Pavel Loginov wrote:

Exactly. In our workflow every resolved issue needs to be closed by project leader or issue author. However, people are no robots and

sometimes miss/forget to review a resolved issue which then simply goes down the issue queue. Would be highly useful if such issues could be

auto-closed after "expiration".

So I think it's pretty simple and straight forward: if an issue's status was "A" for X days, then it's status is changed to "B". That's it.

Is it possible to just update the old plugin https://github.com/edtsech/redmine_x_closed/tree so that it installs on the newest versions of

Redmine?

 +1!

Totally agree with you. This feature would be very useful for our company as well. When a issue has been resolved, we notified it to the client and if

everything is ok or if we don't receive any answer in 3 days, we close the issue manually. A feature like this could automate this process and it would

be very useful for us.

Is there any chance to include this feature into the roadmap for the next product iterations?

#17 - 2014-04-29 04:27 - Toshi MARUYAMA

- Has duplicate Feature #16769: auto-close resolved issues added

#18 - 2014-06-04 13:51 - Artyom Tuprikov

+1

Highly requested!

#19 - 2014-06-11 22:48 - Josep Mª Mas
+1

Would be great!

#20 - 2014-07-18 13:00 - Luis Blasco

+1

Thanks in advance!

#21 - 2014-08-30 19:42 - Cristiano Cesario

+1

Thanks!

#22 - 2014-11-05 15:13 - Dmitry Lukashin

+1 vote

#23 - 2015-01-08 10:23 - Stephan Smola

+1

This is essential if you want to have a retest for a resolved issue.

#24 - 2015-02-22 16:29 - Jogi 1j

I tried to create a plugin for this problem, but it's my first plugin, so I'm not sure if you find an error, please contact me, thank you. It's not the final

version.

http://www.redmine.org/plugins/redmine_closes_resolved_issues

#25 - 2015-05-18 16:12 - David BOUCHE

+1

Highly requested!

Jogi : your plugin is not compatible with 3.0 redmine installation.

#26 - 2015-08-20 00:44 - Ivan Prokudin

I've tried Jogi's plugin and and it's suit me (I use redmine 2.6). The only thing that I need is notifications about closing the issues. So I'm offering USD

20.00000000 via FreedomSponsors to the first person who fix it.

Offer link: https://freedomsponsors.org/issue/732/close-notifications

You can also join me and throw in a few bucks there and we'll get it fixed faster :)

If you fix this issue (see my acceptance criteria there) please use that site to request your payment.

#27 - 2015-08-25 17:00 - Pongtawat C

Ivan Prokudin: Maybe this is something you want?

https://github.com/jkraemer/redmine_issue_reminder

#28 - 2015-08-25 17:33 - Etienne Massip

- Target version set to Candidate for next major release

#29 - 2016-06-13 10:23 - Loïc Barreau

+1 : will be very usefull for us to.

#30 - 2016-07-19 10:38 - Anonymous

+1

#31 - 2017-08-08 16:43 - Mathieu Simard

+1

#32 - 2018-09-12 22:13 - Jeremy Johnson

+1

#33 - 2018-09-14 16:37 - Bernhard Rohloff
Isn't that a better job for a custom script and a cron job?

Not every Redmine installation has to have a particular resolved state.

It's also a more versatile approach as you can have multiple automated status transfers and also for different workflows.

#34 - 2019-06-18 11:25 - Pierre PP

+1

redmine 3.4 here
